// CSplitterDoc.h : Schnittstelle der Klasse CSplitterDoc
//


#pragma once


/**\brief Document-Klasse der Anwendung.
 *
 * Enthlt hier eine Membervariable "m_sText".
 */
class CSplitterDoc : public CDocument
{
protected: // Nur aus Serialisierung erstellen
	/**Konstruktor. Instanzen knnen nur aus Serialisierung erstellt werden.
	 */
	CSplitterDoc();
	DECLARE_DYNCREATE(CSplitterDoc)

// Attribute
public:

// Vorgnge
public:

// berschreibungen
public:
	/**Neues Dokument erzeugen.
	 * @return 0 im Fehlerfall, jeder andere Wert sonst.
	 */
	virtual BOOL OnNewDocument();
	/**Serialisieren des Dokuments. 
	 * Hier passiert nichts.
	 * @param ar Das CArchive ber das das Speichern und Laden erfolgt.
	 */
	virtual void Serialize(CArchive& ar);

// Implementierung
public:
	/**Destruktor. Es passiert nichts.
	 */
	virtual ~CSplitterDoc();
#ifdef _DEBUG
	/**Debug-Modus: Prfen ob Document gltig ist.
	 * Ruft nur Parentklassen-Methode auf.
	 */
	virtual void AssertValid() const;
	/**Debug-Modus: Klasse fr Konsolenausgabe dumpen
	 * Ruft nur Parentklassen-Methode auf.
	 * @param dc diagnostic dump context
	 */
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generierte Funktionen fr die Meldungstabellen
protected:
	DECLARE_MESSAGE_MAP()
private:
	/** Dieser Text wird in den Views angezeigt.
	 */
	CString m_sText;
public:
	/** Abrufen des Werts der Variablen "m_sText".
	 *  @return Aktueller Wert der Variablen "m_sText"
	 */
	CString GetText(void);
	/**Setzen des Texts im Document
	 * @param fn_sText Der neue Wert fr die Variable "m_Text".
	 */
	void SetText(CString fn_sText);
};


