#pragma once



// CSplitterRightView-Formularansicht

/**\brief FormView im rechten Fenster des geteilten Hauptfensters.
 * 
 * Die View enthlt ein Textfeld mit dem aktuellen
 * Text aus dem Document sowie einen Button um die aktuelle Textfeld-Eingabe
 * in das Document zu bernehmen.
 */
class CSplitterRightView : public CFormView
{
	DECLARE_DYNCREATE(CSplitterRightView)

protected:
	/**Protected Konstruktor.
	 * Keine besondere Logik.
	 */
	CSplitterRightView();           // Dynamische Erstellung verwendet geschtzten Konstruktor
	/**Destruktor. Nichts besonderes.
	 */
	virtual ~CSplitterRightView();

public:
	/**Resourcen-ID des Fensters. */
	enum { IDD = IDD_SPLITTERRIGHTVIEW };
#ifdef _DEBUG
	/**Debug-Modus: Prfen ob View gltig ist.
	 * Ruft nur Parentklassen-Methode auf.
	 */
	virtual void AssertValid() const;
#ifndef _WIN32_WCE
	/**Debug-Modus: Klasse fr Konsolenausgabe dumpen
	 * Ruft nur Parentklassen-Methode auf.
	 * @param dc diagnostic dump context
	 */
	virtual void Dump(CDumpContext& dc) const;
#endif
#endif

protected:
	/**Datenaustausch zwischen Eingabefeldern und Variablen.
	 * Hier werden Textfeld und Variable "m_sText" abgeglichen.
	 * @param pDX Klasse fr den Datenaustausch und die Validierung.
	 */
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV-Untersttzung

	DECLARE_MESSAGE_MAP()
private:
	/** Der Wert aus dem Textfeld der rechten View.
	 */
	CString m_sText;
	/**Auf den Button "Nach links" wird geklickt.
	 * DataExchange aufrufen, dadurch wird der Inhalt des Textfelds
	 * ins Document geschrieben. Anschlieend alle Views ber eine
	 * Document-nderung benachrichtigen.
	 */
	afx_msg void OnBnClickedButtonRight();
protected:
	/**Update der View nach einer nderung im Document.
	 * Wird unter anderem von der linken View nach Klick auf den Button "Nach Rechts" 
	 * aufgerufen.
	 * @param pSender Sendende View. Wenn NULL dann geht das Update an alle Views.
	 * @param lHint Weitere, benutzerspezifische Informationen ber das Update.
     * @param pHint Weitere, benutzerspezifische Informationen ber das Update.
	 */
	virtual void OnUpdate(CView* pSender, LPARAM lHint, CObject* pHint);
};


